Crashing with WFS new in QGIS 2.0

2013-10-17 06:54 AM - Heikki Vesanto

Status: Closed

Priority: High

Assignee:

Category: Web Services clients/WFS

Affected QGIS version:2.0.1 Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:Yes Copied to github as #: 17569

Description

QGIS crashed when identifying or selecting certain features through a WFS connection. This was not an issue in 1.8.

Replication:

Add in a WFS, for example from the British Geological Survey:

http://ogc.bgs.ac.uk/cgi-bin/BGS_Bedrock_and_Superficial_Geology/wms?

Add in the layer:

UKContShelf BGS 1:1M Seabed Sediments

Open up the attribute table. Selelct feature number 99 and zoom to it, select any other feature, and re-select feature number 99. At this

point my QGIS crashes, with the message "Crash dumped". This is not limited to the BGS WFS connection, however this is an open WFS

so should be able to be tested by all.

I have attached a project file, which should open up the WFS and zoom to a feature that causes the crash.

Of note, if all of the features are selected (or a large number) then it does not, also the feature can be selected from the attribute table.

I would be happy to provide further information.

QGIS version:

QGIS version    2.0.1-Dufour    QGIS code revision    34139bc

Compiled against Qt    4.7.1    Running against Qt    4.7.1

Compiled against GDAL/OGR    1.9.2    Running against GDAL/OGR    1.9.2

Compiled against GEOS    3.3.8-CAPI-1.7.8    Running against GEOS    3.3.8-CAPI-1.7.8

PostgreSQL Client Version    8.3.10    SpatiaLite Version    4.1.1

QWT Version    5.2.1    PROJ.4 Version    480

QScintilla2 Version    2.6.2    This copy of QGIS writes debugging output

History

#1 - 2013-10-17 06:57 AM - Giovanni Manghi

- Status changed from Open to Feedback

does not happen on qgis master on Linux. Would you my test qgis master with the osgeo4w installer? thanks.

#2 - 2013-10-17 07:30 AM - Heikki Vesanto

- Status changed from Feedback to Closed
http://ogc.bgs.ac.uk/cgi-bin/BGS_Bedrock_and_Superficial_Geology/wms


Thanks Giovanni,

I tried it on Master and got the same issue, but then tried it on another Win7 PC running 2.0.1 and could not re-create.

Need a fresh install it seems. I upgraded using the osgeo4w from 1.8, which may be the issue.

Sorry about that,

Heikki

Files

wfs_crash.qgs 6.72 KB 2013-10-17 Heikki Vesanto

2025-04-27 2/2


